import io
import os

import click

from . import read

CONFIG_INI = """# -*- mode: conf -*-
[projects]
eggs_dir=~/.buildout/eggs
py2_exe=~/.virtualenvs/base2/bin/python
py3_exe=~/.virtualenvs/base3/bin/python3

[stats]
api_url = http://projects.thux.it/api
user = stats
password = demo

[sync]
password=
#sql_dump_dir = /var/tmp

"""


@click.command('create')
@click.pass_context
def create(ctx):
    import ipdb; ipdb.set_trace()

    create_customization()

def create_customization(cfg=None):
    if not cfg:
        cfg = read.get_config_filename()
    if not os.path.exists(cfg):
        content = click.edit(CONFIG_INI)
        if content is not None:
            if not os.path.exists(os.path.dirname(cfg)):
                os.makedirs(os.path.dirname(cfg))
            with io.open(cfg, 'w') as f:
                f.write(content)
    else:
        click.edit(filename=cfg)
